## ros-one-sesame-ros 2.1.31-19jammy.20260116.2059

=== debian/changelog ===
ros-one-sesame-ros (2.1.31-19jammy.20260116.2059) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 16 Jan 2026 20:59:02 +0000

ros-one-sesame-ros (2.1.31-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 13 May 2025 00:00:00 -0000

ros-one-sesame-ros (2.1.30-0jammy) jammy; urgency=high

  * CI: add ROS-O testing on arm (#528 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/528>), fix sesame_ros on arm64
    * CI: add ROS-O testing on arm
    * CI: use ros-one-catkin-virtualenv
    * sesami_ros: add requirements.in.python3.12, for arm64 22.04/24.04
  * Contributors: Kei Okada, Yoshiki Obinata

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-sesame-ros (2.1.29-0jammy) jammy; urgency=high

  * Support ros-o / Ubuntu 22.04 (#512 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/512>)
    
      * [sesame_ros] relax venv check
      * [sesame_ros] remove cffi which cannot be installed in Ubuntu 22.04 env & not used in sesame_ros
    
  * Contributors: Yoshiki Obinata

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 05 Jan 2025 00:00:00 -0000

ros-one-sesame-ros (2.1.28-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 24 Jul 2023 00:00:00 -0000

ros-one-sesame-ros (2.1.27-0jammy) jammy; urgency=high

  * fix package.xml/CMakeLists.txt to supress catkin_lint errors (#479 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/479>)
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 24 Jun 2023 00:00:00 -0000

ros-one-sesame-ros (2.1.26-0jammy) jammy; urgency=high

  * add LICENSE files (#476 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/476>)
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 14 Jun 2023 00:00:00 -0000

ros-one-sesame-ros (2.1.25-0jammy) jammy; urgency=high

  * add test to check if ros node is loadable (#463 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/463>)
  * Explicit python interpreter in catkin_virtualenv (#367 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/367>)
  * Contributors: Kei Okada, Shingo Kitagawa, Yoshiki Obinata

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 08 Jun 2023 00:00:00 -0000

ros-one-sesame-ros (2.1.24-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 26 Jul 2021 00:00:00 -0000

ros-one-sesame-ros (2.1.23-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 21 Jul 2021 00:00:00 -0000

ros-one-sesame-ros (2.1.22-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 10 Jun 2021 00:00:00 -0000

ros-one-sesame-ros (2.1.21-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-sesame-ros (2.1.20-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-sesame-ros (2.1.19-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 21 Jul 2020 00:00:00 -0000

ros-one-sesame-ros (2.1.18-0jammy) jammy; urgency=high

  * Fix for noetic (#200 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/200>)
    
      * update sesame_ros/requirements.txt to pass https://github.com/locusrobotics/catkin_virtualenv/blob/master/README.md#locking-dependencies
    
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 20 Jul 2020 00:00:00 -0000

ros-one-sesame-ros (2.1.17-0jammy) jammy; urgency=high

  * update pip modules for security reason (#196 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/196>)
  * add idna==2.7
    to cloes ERROR: requests 2.20.0 has requirement idna<2.8,>=2.5, but you'll have idna 2.9 which is incompatible.
  * Bump urllib3 from 1.22 to 1.24.2 in /sesame_ros
    Bumps [urllib3](https://github.com/urllib3/urllib3) from 1.22 to 1.24.2.
    - [Release notes](https://github.com/urllib3/urllib3/releases)
    - [Changelog](https://github.com/urllib3/urllib3/blob/master/CHANGES.rst)
    - [Commits](https://github.com/urllib3/urllib3/compare/1.22...1.24.2)
    Signed-off-by: dependabot[bot] <mailto:support@github.com>
  * Bump requests from 2.19.1 to 2.20.0 in /sesame_ros
    Bumps [requests](https://github.com/psf/requests) from 2.19.1 to 2.20.0.
    - [Release notes](https://github.com/psf/requests/releases)
    - [Changelog](https://github.com/psf/requests/blob/master/HISTORY.md)
    - [Commits](https://github.com/psf/requests/compare/v2.19.1...v2.20.0)
    Signed-off-by: dependabot[bot] <mailto:support@github.com>
  * Bump pyopenssl from 16.2.0 to 17.5.0 in /sesame_ros
    Bumps [pyopenssl](https://github.com/pyca/pyopenssl) from 16.2.0 to 17.5.0.
    - [Release notes](https://github.com/pyca/pyopenssl/releases)
    - [Changelog](https://github.com/pyca/pyopenssl/blob/master/CHANGELOG.rst)
    - [Commits](https://github.com/pyca/pyopenssl/compare/16.2.0...17.5.0)
    Signed-off-by: dependabot[bot] <mailto:support@github.com>
  * Contributors: Kei Okada, dependabot[bot]

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-sesame-ros (2.1.16-0jammy) jammy; urgency=high

  * add i386 tests (#191 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/191>)
  * specify python module number, closes #190 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/190>
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-sesame-ros (2.1.15-0jammy) jammy; urgency=high

  * [sesame_ros] Add dependency for building cryptograpy (#180 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/180>)
    
      * Add url of ROS wiki for sesame_ros
      * Add k-okada to maintainer of sesame_ros
      * Add libffi-dev and libssl-dev as dependencies of cryptography
    
  * Contributors: Yuto Uchimi

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 12 Dec 2019 00:00:00 -0000


