## ros-one-sesame-ros 2.1.31-19jammy.20260207.2134

=== debian/changelog ===
ros-one-sesame-ros (2.1.31-19jammy.20260207.2134) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 07 Feb 2026 21:34:32 +0000
