=== debian/changelog ===
ros-one-sesame-ros (2.1.31-19noble.20260207.2136) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 07 Feb 2026 21:36:05 +0000
