=== debian/control ===
Source: ros-one-sesame-ros
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), libffi-dev, libssl-dev, ros-one-catkin, ros-one-catkin-virtualenv, ros-one-message-generation
Homepage: http://ros.org/wiki/sesame_ros
Standards-Version: 3.9.2

Package: ros-one-sesame-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-message-runtime
Description: ROS API for Sesame smart lock
